using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Keyless]
public partial class VwPointOverviewInfo
{
    [Column("point_id")]
    public int? PointId { get; set; }

    [Column("point_name", TypeName = "citext")]
    public string? PointName { get; set; }

    [Column("pipe_name", TypeName = "citext")]
    public string? PipeName { get; set; }

    [Column("is_active")]
    public bool? IsActive { get; set; }

    [Column("commodities", TypeName = "citext")]
    public string? Commodities { get; set; }
}
